ToolsServiceProperty Struct Reference
VMware Tools Plugins

`#include <plugin.h>`

## Data Fields

const char * | name

## Detailed Description

Defines a property that is exposed through the containers instance object (ToolsAppCtx::serviceObj). Plugins can expose properties through this mechanism to share state with other plugins. Properties can be accessed using GObject's g_set_property / g_get_property APIs, or monitored by registering for the "notify" signal on the object.

All properties exposed using this mechanism are opaque pointers. It's up for individual plugins to define the actual types of the properties.

Properties are not ref counted, so consumers (code calling "g_get_property") should be aware of the life cycle of the property as defined by the producer.

The documentation for this struct was generated from the following file:

- lib/include/vmware/tools/plugin.h